- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinBigIndexArrayWithLength Class Reference

CoinBigIndex * version. More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinBigIndexArrayWithLength:

[legend]
Collaboration diagram for CoinBigIndexArrayWithLength:

[legend]
List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
CoinBigIndex * | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
CoinBigIndex * | conditionalNew (int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinBigIndexArrayWithLength ()
| Default constructor - NULL.
| CoinBigIndexArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinBigIndexArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinBigIndexArrayWithLength (const CoinBigIndexArrayWithLength &rhs)
| Copy constructor.
| CoinBigIndexArrayWithLength (const CoinBigIndexArrayWithLength *rhs)
| Copy constructor.2.
CoinBigIndexArrayWithLength & | operator= (const CoinBigIndexArrayWithLength &rhs)
| Assignment operator.

## Detailed Description

CoinBigIndex * version.

Definition at line 660 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( |  | ) | `[inline]`

Default constructor - NULL.

Definition at line 690 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | int | size | ) | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 693 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 699 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | const CoinBigIndexArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 702 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | const CoinBigIndexArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 705 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinBigIndexArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 666 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::size_.

CoinBigIndex* CoinBigIndexArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 669 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

Referenced by CoinFactorization::pivot(), CoinFactorization::startColumnL(), CoinFactorization::startColumnU(), and CoinFactorization::startRowL().

void CoinBigIndexArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 676 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::size_.

CoinBigIndex* CoinBigIndexArrayWithLength::conditionalNew | ( | int | sizeWanted | ) | `[inline]`

Conditionally gets new array.

Definition at line 683 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::conditionalNew().

CoinBigIndexArrayWithLength& CoinBigIndexArrayWithLength::operator= | ( | const CoinBigIndexArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Definition at line 708 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::operator=().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/CoinUtils/src/CoinIndexedVector.hpp